<?php

add_action( 'wp_ajax_wpb_add_data', 'wpb_add_data_ajax' );
function wpb_add_data_ajax()
{
    insert_part($_POST['part_id'],$_POST['name'],$_POST['data']);
    die();
}

add_action( 'wp_ajax_wpb_delete_part', 'wpb_delete_part_ajax' );
function wpb_delete_part_ajax()
{
    delete_part($_POST['part_id']);
    die();
}

add_action( 'wp_ajax_get_wpb_customizer_url', 'get_wpb_customizer_url_ajax' );
add_action( 'wp_ajax_nopriv_get_wpb_customizer_url', 'get_wpb_customizer_url_ajax' );
function get_wpb_customizer_url_ajax()
{
    $config_id=get_POST_meta($_POST['product_id'], "wpb_product_configurator",true);
    $options=get_option("wpb_options");
    $customier_page_url=add_query_arg(array('configurator_id' => $config_id, 'product_id' => $_POST['product_id']),get_the_permalink($options['customizer_page']));
    echo json_encode(array('page'=>$customier_page_url));
    die();
}

add_action( 'wp_ajax_wpb_add_to_cart', 'wpb_add_to_cart_ajax' );
add_action( 'wp_ajax_nopriv_wpb_add_to_cart', 'wpb_add_to_cart_ajax' );
function wpb_add_to_cart_ajax()
{
    global $woocommerce;
    $post_data=$_POST['data'];
    $data_label=get_wpb_data_label($post_data,$_POST['product_id']);
    $data_label['wpb_data']=$post_data;
    error_reporting(0);
    $result=$woocommerce->cart->add_to_cart( $_POST['product_id'], $_POST['quantity'] , "",$data_label,"wpb_data") ;
    error_reporting(1);
    if(method_exists($woocommerce->cart,"maybe_set_cart_cookies"))
            $woocommerce->cart->maybe_set_cart_cookies();
    echo json_encode(array("result"=>$result));
    die();
}